groovy.ui.text

## Class StructuredSyntaxHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - groovy.ui.text.StructuredSyntaxHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

      public class StructuredSyntaxHandler
      extends org.xml.sax.helpers.DefaultHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ALIGN_CENTER`
    `static java.lang.String` | `ALIGN_JUSTIFIED`
    `static java.lang.String` | `ALIGN_LEFT`
    `static java.lang.String` | `ALIGN_RIGHT`
    `static java.lang.String` | `ALIGNMENT`
    `static java.lang.String` | `BACKGROUND`
    `static java.lang.String` | `BIDI_LEVEL`
    `static java.lang.String` | `BOLD`
    `static java.lang.String` | `COMPONENT_ATTRIBUTE`
    `static java.lang.String` | `COMPONENT_ELEMENT_NAME`
    `static java.lang.String` | `COMPOSED_TEXT_ATTRIBUTE`
    `static java.lang.String` | `FIRST_LINE_INDENT`
    `static java.lang.String` | `FONT_FAMILY`
    `static java.lang.String` | `FONT_SIZE`
    `static java.lang.String` | `FOREGROUND`
    `static java.lang.String` | `ICON_ATTRIBUTE`
    `static java.lang.String` | `ICON_ELEMENT_NAME`
    `static java.lang.String` | `ITALIC`
    `static java.lang.String` | `LEFT_INDENT`
    `static java.lang.String` | `LINE_SPACING`
    `static java.lang.String` | `MODEL_ATTRIBUTE`
    `static java.lang.String` | `NAME_ATTRIBUTE`
    `static java.lang.String` | `ORIENTATION`
    `static java.lang.String` | `REGEXP`
    `static java.lang.String` | `RESOLVE_ATTRIBUTE`
    `static java.lang.String` | `RIGHT_INDENT`
    `static java.lang.String` | `SPACE_ABOVE`
    `static java.lang.String` | `SPACE_BELOW`
    `static java.lang.String` | `STRIKE_THROUGH`
    `static java.lang.String` | `STYLE`
    `static java.lang.String` | `SUBSCRIPT`
    `static java.lang.String` | `SUPERSCRIPT`
    `static java.lang.String` | `TAB_SET`
    `static java.lang.String` | `UNDERLINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StructuredSyntaxHandler(StructuredSyntaxDocumentFilter filter)` Creates a new instance of MasterFrameHandler

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)`
    `void` | `endDocument()`
    `void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
    `void` | `error(org.xml.sax.SAXParseException e)`
    `void` | `startDocument()`
    `void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endPrefixMapping, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REGEXP

          public static final java.lang.String REGEXP

      See Also:
        Constant Field Values

    - #### STYLE

          public static final java.lang.String STYLE

      See Also:
        Constant Field Values

    - #### ALIGN_CENTER

          public static final java.lang.String ALIGN_CENTER

      See Also:
        Constant Field Values

    - #### ALIGN_JUSTIFIED

          public static final java.lang.String ALIGN_JUSTIFIED

      See Also:
        Constant Field Values

    - #### ALIGN_LEFT

          public static final java.lang.String ALIGN_LEFT

      See Also:
        Constant Field Values

    - #### ALIGN_RIGHT

          public static final java.lang.String ALIGN_RIGHT

      See Also:
        Constant Field Values

    - #### ALIGNMENT

          public static final java.lang.String ALIGNMENT

      See Also:
        Constant Field Values

    - #### BACKGROUND

          public static final java.lang.String BACKGROUND

      See Also:
        Constant Field Values

    - #### BIDI_LEVEL

          public static final java.lang.String BIDI_LEVEL

      See Also:
        Constant Field Values

    - #### BOLD

          public static final java.lang.String BOLD

      See Also:
        Constant Field Values

    - #### COMPONENT_ATTRIBUTE

          public static final java.lang.String COMPONENT_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### COMPONENT_ELEMENT_NAME

          public static final java.lang.String COMPONENT_ELEMENT_NAME

      See Also:
        Constant Field Values

    - #### COMPOSED_TEXT_ATTRIBUTE

          public static final java.lang.String COMPOSED_TEXT_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### FIRST_LINE_INDENT

          public static final java.lang.String FIRST_LINE_INDENT

      See Also:
        Constant Field Values

    - #### FONT_FAMILY

          public static final java.lang.String FONT_FAMILY

      See Also:
        Constant Field Values

    - #### FONT_SIZE

          public static final java.lang.String FONT_SIZE

      See Also:
        Constant Field Values

    - #### FOREGROUND

          public static final java.lang.String FOREGROUND

      See Also:
        Constant Field Values

    - #### ICON_ATTRIBUTE

          public static final java.lang.String ICON_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### ICON_ELEMENT_NAME

          public static final java.lang.String ICON_ELEMENT_NAME

      See Also:
        Constant Field Values

    - #### ITALIC

          public static final java.lang.String ITALIC

      See Also:
        Constant Field Values

    - #### LEFT_INDENT

          public static final java.lang.String LEFT_INDENT

      See Also:
        Constant Field Values

    - #### LINE_SPACING

          public static final java.lang.String LINE_SPACING

      See Also:
        Constant Field Values

    - #### MODEL_ATTRIBUTE

          public static final java.lang.String MODEL_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### NAME_ATTRIBUTE

          public static final java.lang.String NAME_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### ORIENTATION

          public static final java.lang.String ORIENTATION

      See Also:
        Constant Field Values

    - #### RESOLVE_ATTRIBUTE

          public static final java.lang.String RESOLVE_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### RIGHT_INDENT

          public static final java.lang.String RIGHT_INDENT

      See Also:
        Constant Field Values

    - #### SPACE_ABOVE

          public static final java.lang.String SPACE_ABOVE

      See Also:
        Constant Field Values

    - #### SPACE_BELOW

          public static final java.lang.String SPACE_BELOW

      See Also:
        Constant Field Values

    - #### STRIKE_THROUGH

          public static final java.lang.String STRIKE_THROUGH

      See Also:
        Constant Field Values

    - #### SUBSCRIPT

          public static final java.lang.String SUBSCRIPT

      See Also:
        Constant Field Values

    - #### SUPERSCRIPT

          public static final java.lang.String SUPERSCRIPT

      See Also:
        Constant Field Values

    - #### TAB_SET

          public static final java.lang.String TAB_SET

      See Also:
        Constant Field Values

    - #### UNDERLINE

          public static final java.lang.String UNDERLINE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StructuredSyntaxHandler

          public StructuredSyntaxHandler(StructuredSyntaxDocumentFilter filter)

      Creates a new instance of MasterFrameHandler
      Parameters:
        `filter` -

  - ### Method Detail

    - #### characters

          public void characters(char[] ch,
                        int start,
                        int length)

      Specified by:
        `characters` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `characters` in class `org.xml.sax.helpers.DefaultHandler`
      Parameters:
        `ch` -
        `start` -
        `length` -

    - #### endDocument

          public void endDocument()
                           throws org.xml.sax.SAXException

      Specified by:
        `endDocument` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endDocument` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endElement

          public void endElement(java.lang.String uri,
                        java.lang.String localName,
                        java.lang.String qName)
                          throws org.xml.sax.SAXException

      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.DefaultHandler`
      Parameters:
        `uri` -
        `localName` -
        `qName` -
      Throws:
        `org.xml.sax.SAXException`

    - #### error

          public void error(org.xml.sax.SAXParseException e)
                     throws org.xml.sax.SAXException

      Specified by:
        `error` in interface `org.xml.sax.ErrorHandler`
      Overrides:
        `error` in class `org.xml.sax.helpers.DefaultHandler`
      Parameters:
        `e` -
      Throws:
        `org.xml.sax.SAXException`

    - #### startDocument

          public void startDocument()
                             throws org.xml.sax.SAXException

      Specified by:
        `startDocument` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startDocument` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### startElement

          public void startElement(java.lang.String uri,
                          java.lang.String localName,
                          java.lang.String qName,
                          org.xml.sax.Attributes attributes)
                            throws org.xml.sax.SAXException

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`
      Parameters:
        `uri` -
        `localName` -
        `qName` -
        `attributes` -
      Throws:
        `org.xml.sax.SAXException`